HttpSessionExtension (Grails 6.0.0)

Package: org.grails.web.servlet

## [Groovy] Class HttpSessionExtension

- org.grails.web.servlet.HttpSessionExtension

-     @groovy.transform.CompileStatic
      class HttpSessionExtension
      extends java.lang.Object

  Methods added to the javax.servlet.http.HttpSession interface

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `HttpSessionExtension ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `getAt(javax.servlet.http.HttpSession session, java.lang.String name)`
    `` | `static java.lang.Object` | `getProperty(javax.servlet.http.HttpSession session, java.lang.String name)`
    `` | `static java.lang.Object` | `propertyMissing(javax.servlet.http.HttpSession session, java.lang.String name, java.lang.Object value)`
    `` | `static java.lang.Object` | `propertyMissing(javax.servlet.http.HttpSession session, java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### HttpSessionExtension()

  - ### Method Detail

    - #### static java.lang.Object getAt(javax.servlet.http.HttpSession session, java.lang.String name)

    - #### static java.lang.Object getProperty(javax.servlet.http.HttpSession session, java.lang.String name)

    - #### static java.lang.Object propertyMissing(javax.servlet.http.HttpSession session, java.lang.String name, java.lang.Object value)

    - #### static java.lang.Object propertyMissing(javax.servlet.http.HttpSession session, java.lang.String name)